<?php
class PostCommentaireTicket
{
	private $bdd;
	
    public function __construct($bdd)
    {	
		$this->bdd = $bdd;
	}
	
	public function AddCommentaireTicket($id, $message, $pseudo)
	{
		$tickets = $this->bdd->prepare('INSERT INTO cmw_support_commentaires (id_ticket, auteur, message, date_post) VALUES (:id_ticket, :auteur, :message, NOW())');
		$tickets->execute(Array( 
			'id_ticket' => $id,
			'auteur' => $pseudo,
			'message' => $message ));
		$query = $this->bdd->prepare('SELECT * FROM cmw_support WHERE id = :id');
		$query->execute(array(
			'id' => $id
		));
		$data = $query->fetch();
		$subject = "Nouveau commentaire sur : " . $data['titre'];
		$to = "VOTRE ADRESSE MAIL";
		/*
		Ou envoie d'un mail a tous les admins du site : 
		$req = $this->bdd->query('SELECT * FROM cmw_users WHERE rang = 1');
		while($donnees = $req->fetch())
		{
			$to = $to . $donnees['email'];
		}
		Si vous choisissez cette option supprimer le $to = "VOTRE ADRESSE MAIL"; ou mettez // devant 
		*/
		$message = "Un nouveau commentaire est apparu sur le ticket #" . $id . " avec le titre : " . $data['titre'] . '\r\n'.
				"Référence posteur : " . '\r\n'.
				"Pseudo : " . $pseudo . '\r\n'.'\r\n'.
				"Contenu du commentaire : " . '\r\n'.
				" " . $message . '\r\n'.'\r\n'
				"Service propulsé par Florentlife .";
		mail($to, $subject, $message);
	}
}
?>