<?php
class PostTicket
{
	private $bdd;
	
    public function __construct($bdd)
    {	
		$this->bdd = $bdd;
	}
	
	public function AddTicket($titre, $message, $pseudo)
	{
		$tickets = $this->bdd->prepare('INSERT INTO cmw_support (auteur, titre, message, date_post) VALUES (:auteur, :titre, :message, NOW())');
		$tickets->execute(Array( 
			'auteur' => $pseudo,
			'titre' => $titre,
			'message' => $message ));
		$subject = "Nouveau ticket";
		$to = "VOTRE ADRESSE MAIL";
		/*
		Ou envoie d'un mail a tous les admins du site : 
		$req = $this->bdd->query('SELECT * FROM cmw_users WHERE rang = 1');
		while($donnees = $req->fetch())
		{
			$to = $to . $donnees['email'];
		}
		Si vous choisissez cette option supprimer le $to = "VOTRE ADRESSE MAIL"; ou mettez // devant 
		*/
		$message = "Un nouveau ticket est apparu sur votre support avec le titre : " . $titre . '\r\n'.
				"Référence posteur : " . '\r\n'.
				"Pseudo : " . $pseudo . '\r\n'.'\r\n'.
				"Contenu du ticket : " . '\r\n'.
				" " . $message . '\r\n'.'\r\n'
				"Service propulsé par Florentlife .";
		mail($to, $subject, $message);
		return $tickets;
	}
}
?>